Skip to main content
`Ctrl`+`K`

# DMPlexMetricSetHausdorffNumber

Set the metric Hausdorff number

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricSetHausdorffNumber(DM dm, PetscReal hausd)

## Input Parameters

- dm - The `DM`

- hausd - The metric Hausdorff number

## Notes

The Hausdorff number imposes the maximal distance between the piecewise linear approximation of the boundary and the reconstructed ideal boundary. Thus, a low Hausdorff parameter leads to refine the high curvature areas. By default, the Hausdorff value is set to 0.01, which is a suitable value for an object of size 1 in each direction. For smaller (resp. larger) objects, you may need to decrease (resp. increase) the Hausdorff parameter. (Taken from https://www.mmgtools.org/mmg-remesher-try-mmg/mmg-remesher-options/mmg-remesher-option-hausd).

This is only used by Mmg and ParMmg (not Pragmatic).

## See Also

`DMPLEX`, `DMPlexMetricSetGradationFactor()`, `DMPlexMetricGetHausdorffNumber()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages